Support » Plugin: Brozzme Multiple admin emails » Your plugin breaks WP options on PHP 7.1

  • Resolved Soulstudio

    (@soulstudio)


    Hi,

    I’m using the latest WP version and PHP 7.1.4. When I try to do something like deactivating some plugin or changing WP general settings I get this error message:

    Fatal error: Uncaught Error: [] operator not supported for strings in /var/www/#########/web/wp-content/plugins/brozzme-multiple-admin-emails/multiple-admin-emails.php:158 Stack trace: #0 /var/www/#########/web/wp-includes/class-wp-hook.php(298): wp_bmae->bmae_admin_email_sanitize('domain.com...', Array, 'domain.com...') #1 /var/www/#########/web/wp-includes/plugin.php(203): WP_Hook->apply_filters('domain.com...', Array) #2 /var/www/#########/web/wp-includes/formatting.php(4292): apply_filters('sanitize_option...', 'domain.com...', 'admin_email', 'domain.com...') #3 /var/www/#########/web/wp-includes/option.php(270): sanitize_option('admin_email', 'domain.com...') #4 /var/www/#########/web/wp-admin/options.php(219): update_option('admin_email', 'domain.com...') #5 {main} thrown in /var/www/#########/web/wp-content/plugins/brozzme-multiple-admin-emails/multiple-admin-emails.php on line 158

    This problem was not there on PHP 7.0.

    Just to let you guys know. If there is any quick workaround it would be awesome to know. If not, hopefully you will see this and fix it in the future. 🙂

    Thanks

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Benoti

    (@benoti)

    Hi, sorry, I will correct as soon as possible. I’ll tell you here when the update is available.
    Thx

    Plugin Author Benoti

    (@benoti)

    Can you tell me if it works if you modify multiple-admin-emails.php line 152

    $new_stack = ”;
    to
    $new_stack = array();

    Thanks to tell me if it works after, to know if I need to change other things.

    Thank a lot

    Plugin Author Benoti

    (@benoti)

    The new release is available (1.2.1)

    New version works perfectly, thank you! 🙂

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Your plugin breaks WP options on PHP 7.1’ is closed to new replies.